Page MenuHomePhabricator

"Strip prefix in list" checkbox at Special:PrefixIndex feels strange
Closed, ResolvedPublic

Description

At https://meta.wikimedia.org/wiki/Special:PrefixIndex/OTRS/ there's a checkbox that reads "Strip prefix in list". It was introduced in https://gerrit.wikimedia.org/r/#/c/71911/.

For transclusion, hiding the prefix seems to have reasonable use-cases. But in the graphical user interface, the checkbox has a strange design smell to me. It feels weird to have as a checkbox in the interface... what's the use-case? I didn't see an associated bug report with the Gerrit change. It also probably doesn't help that this strip prefix checkbox is sitting next to another checkbox.

If retained, the checkbox might be better labeled as "hide prefix", which seems clearer than strip.

Event Timeline

MZMcBride created this task.Dec 7 2014, 8:53 PM
MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride updated the task description. (Show Details)
MZMcBride changed Security from none to None.
MZMcBride added subscribers: MZMcBride, Isarra, Bawolff.
MZMcBride added subscribers: Parent5446, hashar.

+1 to removing (But still keeping as a url parameter).

I have trouble imaging a non-transclusion use case for this.

Isarra added a subscriber: Legoktm.Dec 7 2014, 9:02 PM
Krenair added a subscriber: Krenair.Dec 7 2014, 9:03 PM
Isarra added a comment.Dec 7 2014, 9:03 PM

If keeping it, 'hide prefix in results' might be better in order to be completely clear.

I can't think of any non-transclusion use cases either, though.

Also agreed. If there was a use case for hiding the prefix in the GUI (which there might be), I think it would be friendlier to just have a "Hide prefix" link above the search results. In other words, rather than having a checkbox, have a link similar looking to the pagination links.

Rjd0060 added a subscriber: Rjd0060.Dec 7 2014, 9:05 PM

I think this is a useful ability, especially with regards to transclusions. If the box is removed, people won't know it exists. It may not look the best, but perhaps that can be looked at rather than simply removing it all together?

MZMcBride - stop smelling the features. :-)

In terms of the use cases, I could understand, as a visual aid, wanting to hide the prefixes. Whenever I do Special:PrefixIndex on my userspace, I find it useless to have "User:Parent5446" included in every page name. I'd rather just see the subpage names raw.

Also agreed. If there was a use case for hiding the prefix in the GUI (which there might be), I think it would be friendlier to just have a "Hide prefix" link above the search results. In other words, rather than having a checkbox, have a link similar looking to the pagination links.

Yeah. This approach would at least be more consistent with Special:RecentChanges and Special:WhatLinksHere, I think. That's a marginal win. If we make a change, I do think "Hide redirects" and "Hide prefix [in list]" should have equal treatment in the user interface.

hashar added a comment.EditedDec 7 2014, 10:06 PM

I added the checkbox to the form to make it easy for end user to generate the URL they will then share to others. I also find it nice to have the checkbox when searching for subpages under something like Human Resources/Rules and Policies.

Please keep the checkbox :-) Might want to rename it though.

Aklapper triaged this task as Medium priority.Dec 8 2014, 11:19 AM
matmarex lowered the priority of this task from Medium to Lowest.
matmarex added a subscriber: matmarex.

Certainly seems like we should keep the checkbox but change its label.

Change 468190 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Reword 'prefixindex-strip' to "Hide the prefix in results"

https://gerrit.wikimedia.org/r/468190

hashar closed this task as Resolved.Oct 18 2018, 8:05 AM

Change 468190 merged by jenkins-bot:
[mediawiki/core@master] Reword 'prefixindex-strip' to "Hide the prefix in results"

https://gerrit.wikimedia.org/r/468190